# Generated by Django 3.1.7 on 2021-03-14 10:18

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Usuario',
            fields=[
                ('nombreUsuario', models.CharField(max_length=100, primary_key=True, serialize=False)),
                ('estadoUsuario', models.IntegerField(choices=[(0, 'Sin reserva'), (1, 'Con Reserva Activa'), (2, 'Con Reserva Inactiva')], default=0)),
            ],
        ),
        migrations.CreateModel(
            name='Reserva',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('fechaReserva', models.DateField(default=django.utils.timezone.now)),
                ('fechaAtencion', models.DateField(default='null', null=True)),
                ('estadoReserva', models.IntegerField(choices=[(0, 'Pendiente'), (1, 'Atendido')], default=0)),
                ('usuarioReserva', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='appreservas.usuario')),
            ],
        ),
    ]
